Bug 1415755 - podfying cfme: clean-up evm.log in the cfme pod
Summary: podfying cfme: clean-up evm.log in the cfme pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: cfme-openshift-app
Version: 5.7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Satoe Imaishi
QA Contact: Dafna Ron
Red Hat CloudForms Documentation
URL:
Whiteboard: container
Depends On: 1406804
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 16:13 UTC by Satoe Imaishi
Modified: 2017-02-27 19:30 UTC (History)
2 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406804
Environment:
Last Closed: 2017-02-27 19:30:07 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-23 16:20:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/43859792802e51c82c9076e7cd0780a44ee321b0

commit 43859792802e51c82c9076e7cd0780a44ee321b0
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Jan 19 15:42:23 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 23 11:19:39 2017 -0500

    Merge pull request #13477 from simaishi/clean_logs
    
    Cleanup vmdb/log/* after build in Docker image
    (cherry picked from commit 7fedaef7430e7a66f0196a14b1171d67c0e43548)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1415755

 Dockerfile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 3 Satoe Imaishi 2017-01-23 16:33:15 UTC
Backported to 5.7.z

Comment 4 Dafna Ron 2017-01-27 13:16:13 UTC
verified on cfme-5.7.1.0-2.el7cf.x86_64

Fri Jan 27 12:06:53 UTC 2017 EVMINIT   EVM Appliance Booted
[----] I, [2017-01-27T12:07:58.624252 #215:97d13c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:07:58.624603 #215:97d13c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
[----] I, [2017-01-27T12:08:00.296821 #215:97d13c]  INFO -- : MIQ(SessionStore) Using session_store: ActionDispatch::Session::MemCacheStore
[----] I, [2017-01-27T12:08:00.471729 #215:97d13c]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: bin/rails, PID: 215, ENV['MIQ_GUID']: , ENV['EVMSERVER']: 
[----] I, [2017-01-27T12:08:09.918953 #223:dd313c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:08:09.919220 #223:dd313c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
[----] I, [2017-01-27T12:08:12.085775 #223:dd313c]  INFO -- : MIQ(SessionStore) Using session_store: ActionDispatch::Session::MemCacheStore
[----] I, [2017-01-27T12:08:12.294020 #223:dd313c]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: /opt/rh/cfme-gemset/bin/rake, PID: 223, ENV['MIQ_GUID']: , ENV['EVMSERVER']: 
[----] I, [2017-01-27T12:09:47.641161 #231:b2b13c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:09:47.641703 #231:b2b13c]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
[----] I, [2017-01-27T12:09:48.926675 #231:b2b13c]  INFO -- : MIQ(SessionStore) Using session_store: ActionDispatch::Session::MemCacheStore
[----] I, [2017-01-27T12:09:49.052029 #231:b2b13c]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: bin/rails, PID: 231, ENV['MIQ_GUID']: , ENV['EVMSERVER']: 
[----] I, [2017-01-27T12:09:53.262451 #231:b2b13c]  INFO -- : MIQ(MiqDatabase.seed) Creating MiqDatabase record
[----] I, [2017-01-27T12:09:53.359752 #231:b2b13c]  INFO -- : MIQ(MiqRegion.seed) Creating Region [0]
[----] I, [2017-01-27T12:09:57.916065 #287:6a5130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:09:57.916378 #287:6a5130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
[----] I, [2017-01-27T12:09:59.182496 #287:6a5130]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: bin/rake, PID: 287, ENV['MIQ_GUID']: , ENV['EVMSERVER']: 
[----] I, [2017-01-27T12:10:09.184242 #329:1073130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:10:09.184456 #329:1073130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
[----] I, [2017-01-27T12:10:10.381483 #329:1073130]  INFO -- : MIQ(SessionStore) Using session_store: ActionDispatch::Session::MemCacheStore
[----] I, [2017-01-27T12:10:10.508512 #329:1073130]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: /opt/rh/cfme-gemset/bin/rake, PID: 329, ENV['MIQ_GUID']: , ENV['EVMSERVER']: 
[----] I, [2017-01-27T12:10:14.801169 #329:1073130]  INFO -- : MIQ(EvmApplication.start) EVM Startup initiated
[----] I, [2017-01-27T12:10:19.949559 #334:12e9130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]
[----] I, [2017-01-27T12:10:19.950133 #334:12e9130]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for azure.log has been changed to [WARN]
/var/www/miq/vmdb/app/models/mixins/supports_feature_mixin.rb:103: warning: key :terminate is duplicated and overwritten on line 111
[----] I, [2017-01-27T12:10:21.183969 #334:12e9130]  INFO -- : MIQ(SessionStore) Using session_store: ActionDispatch::Session::MemCacheStore
[----] I, [2017-01-27T12:10:21.316426 #334:12e9130]  INFO -- : MIQ(Vmdb::Initializer.init) - Program Name: /var/www/miq/vmdb/lib/workers/bin/evm_server.rb, PID: 334, ENV['MIQ_GUID']: , ENV['EVMSERVER']: true
[----] I, [2017-01-27T12:10:25.725415 #334:12e9130]  INFO -- : MIQ(MiqServer.validate_database) Database Adapter: [PostgreSQL], version: [PostgreSQL 9.5.4 on x86_64-redhat-linux-gnu, compiled by gcc (GCC) 4.8.3 20140911 (Red Hat 4.8.3-9), 64-bit]

Comment 6 errata-xmlrpc 2017-02-27 19:30:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.